Skip to main content
GET
The financial years a book or a budget runs on, with the company each belongs to, the year each continues and the year…

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
code
string
name
string
period_type
string
year_start_month
string
fiscal_year
string
is_active
string
company_id
string
company_code
string
company_name
string
functional_currency_id
string
currency_code
string
periods
string
continues_calendar_id
string
continues_code
string
continues_name
string
continued_by_id
string
continued_by_code
string
continued_by_name
string
in_use
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

code
string<character varying>
Maximum string length: 40
company_code
string<character varying>
Maximum string length: 50
company_id
string<uuid>

Note: This is a Foreign Key to depreciation_packs.company_id.

company_name
string<character varying>
Maximum string length: 200
continued_by_code
string<character varying>
Maximum string length: 40
continued_by_id
string<uuid>
continued_by_name
string<character varying>
Maximum string length: 120
continues_calendar_id
string<uuid>

Note: This is a Foreign Key to capex_calendars.id.

continues_code
string<character varying>
Maximum string length: 40
continues_name
string<character varying>
Maximum string length: 120
currency_code
string<character varying>
Maximum string length: 3
fiscal_year
integer<integer>
functional_currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

id
string<uuid>

Note: This is a Primary Key.

in_use
string<text>
is_active
boolean<boolean>
name
string<character varying>
Maximum string length: 120
period_type
string<character varying>
Maximum string length: 12
periods
integer<bigint>
row_version
integer<bigint>
year_start_month
integer<smallint>